%{?nodejs_find_provides_and_requires}

%global packagename make-arrow-function
# Tests disabled due to two failing tests
%global enable_tests 0

Name:		nodejs-make-arrow-function
Version:	1.1.0
Release:	1%{?dist}
Summary:	Function that returns an arbitrary arrow function

License:	MIT
URL:		https://github.com/ljharb/make-arrow-function
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1:	https://raw.githubusercontent.com/ljharb/make-arrow-function/master/LICENSE

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	npm(tape)
%endif

%description
Function that returns an arbitrary arrow function, or undefined if arrow
function syntax is unsupported.


%prep
%autosetup -n package
cp -p %{SOURCE1} .

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{__nodejs} --harmony --es-staging test/index.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Jul  4 2016 Jared Smith <jsmith@fedoraproject.org> - 1.1.0-1
- Initial packaging
